require "rus_typograf/version"
require 'rus_typograf/dash'
require 'rus_typograf/punctuation_mark'
require 'rus_typograf/space'
require 'rus_typograf/quotes'

class Typograf
	DEFAULT_GENERATE_OPTIONS = {
		punctuation_mark: true,
		space: true,
		quotes: true,
		dash: true
	}

	def initialize(options={})
		@options = DEFAULT_GENERATE_OPTIONS.merge(options)
	end

	def typograf_text(text)
		@text = text
		if @options[:punctuation_mark]
			punctuation = PunctuationMark.new
			@text = punctuation.replace_dots(@text)
			@text = punctuation.replace_spaces(@text)
			@text = punctuation.add_comma(@text)
		end

		if @options[:dash]
			dash = Dash.new
			@text = dash.replace_dash(@text)
		end

		if @options[:quotes]
			quotes = Quotes.new 
			@text = quotes.replace_quote(@text)
		end 
	end
end

